Bug 1229458 - pmda Install should not start pmlogger
Summary: pmda Install should not start pmlogger
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-08 20:13 UTC by Frank Ch. Eigler
Modified: 2015-08-22 16:34 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-13 16:56:57 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2015-06-08 20:13:45 UTC
A Makepkgs-built pcp git build (few days old) does a

   /usr/share/pcp/lib/pcp start

as a part of the pmdas/json/Install.  In turn this opines:

Starting pmcd ... 
/usr/share/pcp/lib/pmlogger: Warning: Performance Co-Pilot archive logger(s) not permanently enabled.
    To enable pmlogger, run the following as root:
    # /usr/bin/systemctl enable pmlogger.service
Starting pmlogger ... 

and indeed a pmlogger process is started.

But there is no need for a pmlogger on this machine.  Perhaps the admin prefers pmmgr.  Perhaps there is no need for local logging at all.  The pmda-install operation should at most suggest pmlogger, definitely not insist.  If it wants to restart pmcd (due to pmda forced_restart=true), it should stick to restarting pmcd.

Comment 1 Nathan Scott 2015-06-08 23:32:42 UTC
This is unanticipated fallout (regression) from BZ 1185755 & related bugs.  Fix should be relatively straight forward.

Comment 2 Fedora Update System 2015-06-16 02:12:27 UTC
pcp-3.10.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc22

Comment 3 Fedora Update System 2015-06-16 02:13:41 UTC
pcp-3.10.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc21

Comment 4 Fedora Update System 2015-06-16 02:14:36 UTC
pcp-3.10.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.fc20

Comment 5 Fedora Update System 2015-06-16 02:16:36 UTC
pcp-3.10.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.5-1.el5

Comment 6 Fedora Update System 2015-06-18 18:34:39 UTC
Package pcp-3.10.5-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-3.10.5-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6718/pcp-3.10.5-1.el5
then log in and leave karma (feedback).

Comment 7 Jan Kurik 2015-07-15 14:02:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora Update System 2015-08-04 05:37:41 UTC
pcp-3.10.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc22

Comment 9 Fedora Update System 2015-08-04 05:38:27 UTC
pcp-3.10.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc21

Comment 10 Fedora Update System 2015-08-04 05:39:07 UTC
pcp-3.10.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.el5

Comment 11 Fedora Update System 2015-08-13 16:56:57 UTC
pcp-3.10.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-08-13 16:58:38 UTC
pcp-3.10.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-08-22 16:33:45 UTC
pcp-3.10.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.